Shell Reids自动配置脚本 redis自带脚本参考参考

网友投稿 768 2022-09-27

Shell Reids自动配置脚本 redis自带脚本参考参考

Shell Reids自动配置脚本  redis自带脚本参考参考

[root@localhost tmp]# cat test.sh #!/bin/shdie () { echo "ERROR: . Aborting!" exit 1}#Initial defaults_REDIS_PORT=6379_MANUAL_EXECUTION=falseecho "Welcome to the redis service installer"echo "This script will help you easily set up a running redis server"echoif [ $(id -u) -ne 0 ];then echo "You must run this script as root. Sorry!" exit 1fiif ! echo $REDIS_PORT | egrep -q '^[0-9]+$' ; then _MANUAL_EXECUTION=true #Read the redis port read -p "Please select the redis port for this instance: [$_REDIS_PORT] " REDIS_PORT if ! echo $REDIS_PORT | egrep -q '^[0-9]+$' ; then echo "Selecting default: $_REDIS_PORT" REDIS_PORT=$_REDIS_PORT fifiif [ -z "$REDIS_CONFIG_FILE" ] ; then _MANUAL_EXECUTION=true #read the redis config file _REDIS_CONFIG_FILE="/etc/redis/$REDIS_PORT.conf" read -p "Please select the redis config file name [$_REDIS_CONFIG_FILE] " REDIS_CONFIG_FILE if [ -z "$REDIS_CONFIG_FILE" ] ; then REDIS_CONFIG_FILE=$_REDIS_CONFIG_FILE echo "Selected default - $REDIS_CONFIG_FILE" fifiif [ -z "$REDIS_LOG_FILE" ] ; then _MANUAL_EXECUTION=true #read the redis log file path _REDIS_LOG_FILE="/var/log/redis_$REDIS_PORT.log" read -p "Please select the redis log file name [$_REDIS_LOG_FILE] " REDIS_LOG_FILE if [ -z "$REDIS_LOG_FILE" ] ; then REDIS_LOG_FILE=$_REDIS_LOG_FILE echo "Selected default - $REDIS_LOG_FILE" fifiif [ -z "$REDIS_DATA_DIR" ] ; then _MANUAL_EXECUTION=true #get the redis data directory _REDIS_DATA_DIR="/var/lib/redis/$REDIS_PORT" read -p "Please select the data directory for this instance [$_REDIS_DATA_DIR] " REDIS_DATA_DIR if [ -z "$REDIS_DATA_DIR" ] ; then REDIS_DATA_DIR=$_REDIS_DATA_DIR echo "Selected default - $REDIS_DATA_DIR" fifiif [ ! -x "$REDIS_EXECUTABLE" ] ; then _MANUAL_EXECUTION=true #get the redis executable path _REDIS_EXECUTABLE=`command -v redis-server` read -p "Please select the redis executable path [$_REDIS_EXECUTABLE] " REDIS_EXECUTABLE if [ ! -x "$REDIS_EXECUTABLE" ] ; then REDIS_EXECUTABLE=$_REDIS_EXECUTABLE if [ ! -x "$REDIS_EXECUTABLE" ] ; then echo "Mmmmm... it seems like you don't have a redis executable. Did you run make install yet?" exit 1 fi fifiecho "Selected config:"echo "Port : $REDIS_PORT"echo "Config file : $REDIS_CONFIG_FILE"echo "Log file : $REDIS_LOG_FILE"echo "Data dir : $REDIS_DATA_DIR"echo "Executable : $REDIS_EXECUTABLE"echo "Cli Executable : $CLI_EXEC"if $_MANUAL_EXECUTION == true ; then read -p "Is this ok? Then press ENTER to go on or Ctrl-C to abort." _UNUSED_fimkdir -p `dirname "$REDIS_CONFIG_FILE"` || die "Could not create redis config directory"mkdir -p `dirname "$REDIS_LOG_FILE"` || die "Could not create redis log dir"mkdir -p "$REDIS_DATA_DIR" || die "Could not create redis data directory"

版权声明:本文内容由网络用户投稿,版权归原作者所有,本站不拥有其著作权,亦不承担相应法律责任。如果您发现本站中有涉嫌抄袭或描述失实的内容,请联系我们jiasou666@gmail.com 处理,核实后本网站将在24小时内删除侵权内容。

上一篇:Nginx 浏览器之HTTP缓存的那些事
下一篇:Shell 细说sort排序
相关文章

 发表评论

暂时没有评论,来抢沙发吧~